GrailsRepositoryConfiguration (Grails 6.0.0)

Package: org.grails.cli.profile.repository

## [Groovy] Class GrailsRepositoryConfiguration

- org.grails.cli.profile.repository.GrailsRepositoryConfiguration

-     class GrailsRepositoryConfiguration
      extends java.lang.Object

  The configuration of a repository. See org.springframework.boot.cli.compiler.grape.RepositoryConfiguration Created to support configuration with authentication

  Authors:
    James Kleeh
  Since:
    3.2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static int` | `INITIAL_HASH` |
    `private static int` | `MULTIPLIER` |
    `private java.lang.String` | `name` |
    `private java.lang.String` | `password` |
    `private boolean` | `snapshotsEnabled` |
    `private java.net.URI` | `uri` |
    `private java.lang.String` | `username` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `name`
    `java.lang.String` | `password`
    `boolean` | `snapshotsEnabled`
    `java.net.URI` | `uri`
    `java.lang.String` | `username`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsRepositoryConfiguration (java.lang.String name, java.net.URI uri, boolean snapshotsEnabled)` Creates a new `GrailsRepositoryConfiguration` instance.
    `GrailsRepositoryConfiguration (java.lang.String name, java.net.URI uri, boolean snapshotsEnabled, java.lang.String username, java.lang.String password)` Creates a new `GrailsRepositoryConfiguration` instance.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `equals(java.lang.Object obj)`
    `` | `boolean` | `hasCredentials()`
    `` | `int` | `hashCode()`
    `` | `static int` | `nullSafeHashCode(char[] array)`
    `` | `java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final int INITIAL_HASH

    - #### private static final int MULTIPLIER

    - #### private final java.lang.String name

    - #### private final java.lang.String password

    - #### private final boolean snapshotsEnabled

    - #### private final java.net.URI uri

    - #### private final java.lang.String username

  - ### Property Detail

    - #### final java.lang.String name

    - #### final java.lang.String password

    - #### final boolean snapshotsEnabled

    - #### final java.net.URI uri

    - #### final java.lang.String username

  - ### Constructor Detail

    - #### GrailsRepositoryConfiguration(java.lang.String name, java.net.URI uri, boolean snapshotsEnabled)

      Creates a new `GrailsRepositoryConfiguration` instance.

      Parameters:
        `name` - The name of the repository
        `uri` - The uri of the repository
        `snapshotsEnabled` - `true` if the repository should enable access to snapshots, `false` otherwise

    - #### GrailsRepositoryConfiguration(java.lang.String name, java.net.URI uri, boolean snapshotsEnabled, java.lang.String username, java.lang.String password)

      Creates a new `GrailsRepositoryConfiguration` instance.

      Parameters:
        `name` - The name of the repository
        `uri` - The uri of the repository
        `snapshotsEnabled` - `true` if the repository should enable access to snapshots, `false` otherwise
        `username` - The username needed to authenticate with the repository
        `password` - The password needed to authenticate with the repository

  - ### Method Detail

    - #### @java.lang.Override boolean equals(java.lang.Object obj)

    - #### boolean hasCredentials()

    - #### @java.lang.Override int hashCode()

    - #### static int nullSafeHashCode(char[] array)

    - #### @java.lang.Override java.lang.String toString()